Unshare a container image
curl --request DELETE \
--url https://api.blaxel.ai/v0/images/{resourceType}/{imageName}/share/{targetWorkspace} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.blaxel.ai/v0/images/{resourceType}/{imageName}/share/{targetWorkspace}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.blaxel.ai/v0/images/{resourceType}/{imageName}/share/{targetWorkspace}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"metadata": {
"createdAt": "<string>",
"displayName": "<string>",
"events": [
{
"canaryRevision": "<string>",
"message": "Deployment successful",
"revision": "rev-abc123",
"status": "DEPLOYED",
"time": "2025-01-15T10:30:00Z",
"type": "deployment"
}
],
"lastDeployedAt": "<string>",
"name": "<string>",
"resourceType": "<string>",
"sourceWorkspace": "<string>",
"updatedAt": "<string>",
"workspace": "<string>"
},
"spec": {
"size": 123,
"tags": [
{
"createdAt": "<string>",
"name": "<string>",
"size": 123,
"updatedAt": "<string>"
}
]
}
}images
Unshare a container image
Revokes sharing of a container image with a target workspace. Removes the metadata copy from the target workspace. The source image is not affected.
DELETE
/
images
/
{resourceType}
/
{imageName}
/
share
/
{targetWorkspace}
Unshare a container image
Authorizations
OAuth2ApiKeyAuth
OAuth2 authentication with JWT tokens
Path Parameters
Resource type (agents, functions, sandboxes, jobs)
Name of the container image repository
Name of the target workspace to revoke sharing from
Last modified on July 1, 2026
Was this page helpful?
⌘I
